Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QRegExp.PatternSyntax

    java.lang.Object
      java.lang.Enum<QRegExp.PatternSyntax>
          com.trolltech.qt.core.QRegExp.PatternSyntax

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QRegExp.PatternSyntax>

Enclosing class:
  QRegExp

    public static enum QRegExp.PatternSyntax

extends java.lang.Enum<QRegExp.PatternSyntax>
implements QtEnumerator

The syntax used to interpret the meaning of the pattern.

See Also:
  `setPatternSyntax`

Enum Constant Summary
`FixedString` The pattern is a fixed string.
`RegExp` A rich Perl-like pattern matching syntax.
`RegExp2` Like `RegExp`, but with greedy quantifiers.
`Wildcard` This provides a simple pattern matching syntax similar to that used by shells (command interpreters) for "file globbing".

Method Summary
`static QRegExp.PatternSyntax` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRegExp.PatternSyntax` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QRegExp.PatternSyntax[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RegExp

    public static final QRegExp.PatternSyntax RegExp

  A rich Perl-like pattern matching syntax. This is the default.

### Wildcard

    public static final QRegExp.PatternSyntax Wildcard

  This provides a simple pattern matching syntax similar to that used by shells (command interpreters) for "file globbing". See Wildcard Matching.

### FixedString

    public static final QRegExp.PatternSyntax FixedString

  The pattern is a fixed string. This is equivalent to using the `RegExp` pattern on a string in which all metacharacters are escaped using `escape`.

### RegExp2

    public static final QRegExp.PatternSyntax RegExp2

  Like `RegExp`, but with greedy quantifiers. This will be the default in Qt 5. (Introduced in Qt 4.2.)

Method Detail

### values

    public static final QRegExp.PatternSyntax[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QRegExp.PatternSyntax c : QRegExp.PatternSyntax.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QRegExp.PatternSyntax valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRegExp.PatternSyntax resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD